=== debian/changelog ===
golang-github-dgryski-go-farm (0.0~git20171119.ac7624ea8da3-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 16:26:53 +0100

golang-github-dgryski-go-farm (0.0~git20171119.ac7624ea8da3-1) unstable; urgency=medium

  * Initial release (Closes: #883607)

 -- Vincent Bernat <bernat@debian.org>  Tue, 05 Dec 2017 17:40:00 +0100
