=== debian/control ===
Source: golang-github-dgryski-go-farm
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any
Standards-Version: 4.1.1
Homepage: https://github.com/dgryski/go-farm
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-dgryski-go-farm.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-dgryski-go-farm.git
XS-Go-Import-Path: github.com/dgryski/go-farm
Testsuite: autopkgtest-pkg-go

Package: golang-github-dgryski-go-farm-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: pure-Go FarmHash implementation
 This is a (mechanical) translation to Go of the non-SSE4/non-AESNI hash
 functions from Google's FarmHash (https://github.com/google/farmhash).
 .
 FarmHash provides hash functions for strings and other data.
 The functions mix the input bits thoroughly but are not suitable for
 cryptography.
