=== debian/changelog ===
golang-github-dgryski-go-farm (0.0~git20240924.3414d57-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints. + golang-github-dgryski-go-farm-dev: Add Multi-Arch:
    foreign.

  [ Andreas Tille ]
  * New upstream version
  * Provide proper watch file
  * Default Salsa CI
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Section: s/devel/golang/ (routine-update)
  * Use tracker.debian.org’s team functionality in Debian Go Packaging
    Team and spell team name as per policy (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 20 Sep 2025 20:53:28 +0200
