=== debian/control ===
Source: golang-github-dgryski-go-farm
Standards-Version: 4.7.2
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Vincent Bernat <bernat@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-dgryski-go-farm
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-dgryski-go-farm.git
Homepage: https://github.com/dgryski/go-farm
XS-Go-Import-Path: github.com/dgryski/go-farm

Package: golang-github-dgryski-go-farm-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: pure-Go FarmHash implementation
 This is a (mechanical) translation to Go of the non-SSE4/non-AESNI hash
 functions from Google's FarmHash (https://github.com/google/farmhash).
 .
 FarmHash provides hash functions for strings and other data.
 The functions mix the input bits thoroughly but are not suitable for
 cryptography.
